Get continuous backup statistics for a GCP GCS asset
Returns continuous backup statistics of the specified GCP GCS asset.
Path Parameters
- gcs_asset_id string required
Performs the operation on the GCS asset with the specified ID.
Query Parameters
- begin_timestamp string required
The beginning time of start_time filter in RFC-3339 format.
- end_timestamp string required
The end time of start_time filter in RFC-3339 format. If a future timestamp is supplied, the server clamps it to the current server time before validating the range against
begin_timestamp. - interval string
Possible values: [
5m,30m,1h,1d]The interval for bins represented as time duration. 'm', 'h' and 'd' refers to minutes, hours, and days respectively. A series of aggregated statistics for each interval will be returned as
binsin the response.
- 200
- default
- application/api.clumio.gcp-gcs-assets=v1+json
- Schema
- Example (from schema)
Schema
bins object[]
The list of continuous backup statistics grouped by the given time interval.
backup_end_time stringThe end time for the continuous backup stats in RFC-3339 format.
backup_start_time stringThe start time for the continuous backup stats in RFC-3339 format.
deleted_objects_count uint64The number of objects in the continuous backup task successfully deleted.
deleted_objects_size uint64The total size in bytes of objects in the continuous backup task successfully deleted.
failed_continuous_backups_count uint32The number of failed continuous backup task executions.
failed_objects_count uint64The number of objects in the continuous backup task failed to be backed up.
failed_objects_size uint64The total size in bytes of objects in the continuous backup task failed to be backed up.
filtered_in_count uint64The number of included objects after the protection group filter.
filtered_in_size uint64The total size in bytes of included objects after the protection group filter.
filtered_out_count uint64The number of excluded objects after the protection group filter.
filtered_out_size uint64The total size in bytes of excluded objects after the protection group filter.
missing_objects_count uint64The number of objects in the continuous backup task missed to be backed up.
missing_objects_size uint64The total size in bytes of objects in the continuous backup task missed to be backed up.
ongoing_continuous_backups_count uint32The number of ongoing continuous backup task executions.
successful_continuous_backups_count uint32The number of successful continuous backup task executions.
successful_objects_count uint64The number of objects in the continuous backup task successfully backed up.
successful_objects_size uint64The total size in bytes of objects in the continuous backup task successfully backed up.
total_continuous_backups_count uint32The number of total continuous backup task executions.
total_stats object
GCSAssetContinuousBackupStats is one bin of CDP execution and dmover/drain aggregates for a GCS asset. Used for both the window-wide total and per-bin entries in the continuous-backup-stats response.
backup_end_time stringThe end time for the continuous backup stats in RFC-3339 format.
backup_start_time stringThe start time for the continuous backup stats in RFC-3339 format.
deleted_objects_count uint64The number of objects in the continuous backup task successfully deleted.
deleted_objects_size uint64The total size in bytes of objects in the continuous backup task successfully deleted.
failed_continuous_backups_count uint32The number of failed continuous backup task executions.
failed_objects_count uint64The number of objects in the continuous backup task failed to be backed up.
failed_objects_size uint64The total size in bytes of objects in the continuous backup task failed to be backed up.
filtered_in_count uint64The number of included objects after the protection group filter.
filtered_in_size uint64The total size in bytes of included objects after the protection group filter.
filtered_out_count uint64The number of excluded objects after the protection group filter.
filtered_out_size uint64The total size in bytes of excluded objects after the protection group filter.
missing_objects_count uint64The number of objects in the continuous backup task missed to be backed up.
missing_objects_size uint64The total size in bytes of objects in the continuous backup task missed to be backed up.
ongoing_continuous_backups_count uint32The number of ongoing continuous backup task executions.
successful_continuous_backups_count uint32The number of successful continuous backup task executions.
successful_objects_count uint64The number of objects in the continuous backup task successfully backed up.
successful_objects_size uint64The total size in bytes of objects in the continuous backup task successfully backed up.
total_continuous_backups_count uint32The number of total continuous backup task executions.
{
"bins": [
{
"backup_end_time": "string",
"backup_start_time": "string",
"deleted_objects_count": 0,
"deleted_objects_size": 0,
"failed_continuous_backups_count": 0,
"failed_objects_count": 0,
"failed_objects_size": 0,
"filtered_in_count": 0,
"filtered_in_size": 0,
"filtered_out_count": 0,
"filtered_out_size": 0,
"missing_objects_count": 0,
"missing_objects_size": 0,
"ongoing_continuous_backups_count": 0,
"successful_continuous_backups_count": 0,
"successful_objects_count": 0,
"successful_objects_size": 0,
"total_continuous_backups_count": 0
}
],
"total_stats": {
"backup_end_time": "string",
"backup_start_time": "string",
"deleted_objects_count": 0,
"deleted_objects_size": 0,
"failed_continuous_backups_count": 0,
"failed_objects_count": 0,
"failed_objects_size": 0,
"filtered_in_count": 0,
"filtered_in_size": 0,
"filtered_out_count": 0,
"filtered_out_size": 0,
"missing_objects_count": 0,
"missing_objects_size": 0,
"ongoing_continuous_backups_count": 0,
"successful_continuous_backups_count": 0,
"successful_objects_count": 0,
"successful_objects_size": 0,
"total_continuous_backups_count": 0
}
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}